Package docking.theme.gui

# Class FontValueEditor

java.lang.Object
docking.theme.gui.ThemeValueEditor<Font>
docking.theme.gui.FontValueEditor

public class FontValueEditor extends ThemeValueEditor<Font>
Editor for Theme fonts

- ## Field Summary

  ### Fields inherited from class docking.theme.gui.ThemeValueEditor

  `currentThemeValue, editor`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FontValueEditor(PropertyChangeListener listener)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ThemeValue<Font>`
  `createNewThemeValue(String id, Font font)`
  Factory method for creating the ThemeValue of the correct type.
  `protected Font`
  `getRawValue(String id)`
  Returns the actual value (Color, Font, or Icon)

  ### Methods inherited from class docking.theme.gui.ThemeValueEditor

  `editValue, storeState`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FontValueEditor

    public FontValueEditor(PropertyChangeListener listener)
    Constructor
    Parameters:
      `listener` - the `PropertyChangeListener` to be notified when changes are made

- ## Method Details

  - ### getRawValue

    protected Font getRawValue(String id)
    Description copied from class: `ThemeValueEditor`
    Returns the actual value (Color, Font, or Icon)
    Specified by:
      `getRawValue` in class `ThemeValueEditor<Font>`
    Parameters:
      `id` - the theme property id for the value
    Returns:
      the current stored value for the id

  - ### createNewThemeValue

    protected ThemeValue<Font> createNewThemeValue(String id, Font font)
    Description copied from class: `ThemeValueEditor`
    Factory method for creating the ThemeValue of the correct type.
    Specified by:
      `createNewThemeValue` in class `ThemeValueEditor<Font>`
    Parameters:
      `id` - the id for theme property
      `font` - the new value for the underlying type (Color, Font, or Icon)
    Returns:
      the new ThemeValue for the type